/*
    Persistence v1.04 is a easy-use O-R and O-F frame which suit local software.   
    Copyright (C) 2009 www.nonesole.com Jack Lee

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package com.nonesole.persistence.sql;


/**
 * Constant of SQL configuration
 * @author JACK Lee
 * @version 1.0 - build in 2009-06-29
 */
public interface SQLConstant {
	
	/**
	 * Flag of object in configuration file
	 * */
	final String OBJECT = "obj";
	
	/**
	 * Flag of table in configuration file
	 * */
	final String OBJECT_TABLE = "tableName";
	
	/**
	 * Flag of class name in configuration file
	 * */
	final String OBJECT_BEAN = "className";
	
	/**
	 * Flag of primary key of tables in configuration file
	 * */
	final String OBJECT_PRIMERY_KEY = "primaryKey";
	
	/**
	 * Flag of seperator of primary keys in configuration file
	 * */
	final String PRIMERY_SEPERATOR = ",";
	
}
