/*
    Persistence v1.04 is a easy-use O-R and O-F frame which suit local software.   
    Copyright (C) 2009 www.nonesole.com Jack Lee

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package com.nonesole.persistence.file;

/**
 * java5 Charsets
 * @author JACK LEE
 * @version 1.0 - build in 2009-07-24
 */
public interface AuailableCharsets {
	/**
	 * Big5
	 */
	public final static String Big5 = "Big5";

	/**
	 * Big5-HKSCS
	 */
	public final static String Big5_HKSCS = "Big5-HKSCS";

	/**
	 * EUC-JP
	 */
	public final static String EUC_JP = "EUC-JP";

	/**
	 * EUC-KR
	 */
	public final static String EUC_KR = "EUC-KR";

	/**
	 * GB18030
	 */
	public final static String GB18030 = "GB18030";

	/**
	 * GB2312
	 */
	public final static String GB2312 = "GB2312";

	/**
	 * GBK
	 */
	public final static String GBK = "GBK";

	/**
	 * IBM-Thai
	 */
	public final static String IBM_Thai = "IBM-Thai";

	/**
	 * IBM00858
	 */
	public final static String IBM00858 = "IBM00858";

	/**
	 * IBM01140
	 */
	public final static String IBM01140 = "IBM01140";

	/**
	 * IBM01141
	 */
	public final static String IBM01141 = "IBM01141";

	/**
	 * IBM01142
	 */
	public final static String IBM01142 = "IBM01142";

	/**
	 * IBM01143
	 */
	public final static String IBM01143 = "IBM01143";

	/**
	 * IBM01144
	 */
	public final static String IBM01144 = "IBM01144";

	/**
	 * IBM01145
	 */
	public final static String IBM01145 = "IBM01145";

	/**
	 * IBM01146
	 */
	public final static String IBM01146 = "IBM01146";

	/**
	 * IBM01147
	 */
	public final static String IBM01147 = "IBM01147";

	/**
	 * IBM01148
	 */
	public final static String IBM01148 = "IBM01148";

	/**
	 * IBM01149
	 */
	public final static String IBM01149 = "IBM01149";

	/**
	 * IBM037
	 */
	public final static String IBM037 = "IBM037";

	/**
	 * IBM1026
	 */
	public final static String IBM1026 = "IBM1026";

	/**
	 * IBM1047
	 */
	public final static String IBM1047 = "IBM1047";

	/**
	 * IBM273
	 */
	public final static String IBM273 = "IBM273";

	/**
	 * IBM277
	 */
	public final static String IBM277 = "IBM277";

	/**
	 * IBM278
	 */
	public final static String IBM278 = "IBM278";

	/**
	 * IBM280
	 */
	public final static String IBM280 = "IBM280";

	/**
	 * IBM284
	 */
	public final static String IBM284 = "IBM284";

	/**
	 * IBM285
	 */
	public final static String IBM285 = "IBM285";

	/**
	 * IBM297
	 */
	public final static String IBM297 = "IBM297";

	/**
	 * IBM420
	 */
	public final static String IBM420 = "IBM420";

	/**
	 * IBM424
	 */
	public final static String IBM424 = "IBM424";

	/**
	 * IBM437
	 */
	public final static String IBM437 = "IBM437";

	/**
	 * IBM500
	 */
	public final static String IBM500 = "IBM500";

	/**
	 * IBM775
	 */
	public final static String IBM775 = "IBM775";

	/**
	 * IBM850
	 */
	public final static String IBM850 = "IBM850";

	/**
	 * IBM852
	 */
	public final static String IBM852 = "IBM852";

	/**
	 * IBM855
	 */
	public final static String IBM855 = "IBM855";

	/**
	 * IBM857
	 */
	public final static String IBM857 = "IBM857";

	/**
	 * IBM860
	 */
	public final static String IBM860 = "IBM860";

	/**
	 * IBM861
	 */
	public final static String IBM861 = "IBM861";

	/**
	 * IBM862
	 */
	public final static String IBM862 = "IBM862";

	/**
	 * IBM863
	 */
	public final static String IBM863 = "IBM863";

	/**
	 * IBM864
	 */
	public final static String IBM864 = "IBM864";

	/**
	 * IBM865
	 */
	public final static String IBM865 = "IBM865";

	/**
	 * IBM866
	 */
	public final static String IBM866 = "IBM866";

	/**
	 * IBM868
	 */
	public final static String IBM868 = "IBM868";

	/**
	 * IBM869
	 */
	public final static String IBM869 = "IBM869";

	/**
	 * IBM870
	 */
	public final static String IBM870 = "IBM870";

	/**
	 * IBM871
	 */
	public final static String IBM871 = "IBM871";

	/**
	 * IBM918
	 */
	public final static String IBM918 = "IBM918";

	/**
	 * ISO-2022-CN
	 */
	public final static String ISO_2022_CN = "ISO-2022-CN";

	/**
	 * ISO-2022-JP
	 */
	public final static String ISO_2022_JP = "ISO-2022-JP";

	/**
	 * ISO-2022-KR
	 */
	public final static String ISO_2022_KR = "ISO-2022-KR";

	/**
	 * ISO-8859-1
	 */
	public final static String ISO_8859_1 = "ISO-8859-1";

	/**
	 * ISO-8859-13
	 */
	public final static String ISO_8859_13 = "ISO-8859-13";

	/**
	 * ISO-8859-15
	 */
	public final static String ISO_8859_15 = "ISO-8859-15";

	/**
	 * ISO-8859-2
	 */
	public final static String ISO_8859_2 = "ISO-8859-2";

	/**
	 * ISO-8859-3
	 */
	public final static String ISO_8859_3 = "ISO-8859-3";

	/**
	 * ISO-8859-4
	 */
	public final static String ISO_8859_4 = "ISO-8859-4";

	/**
	 * ISO-8859-5
	 */
	public final static String ISO_8859_5 = "ISO-8859-5";

	/**
	 * ISO-8859-6
	 */
	public final static String ISO_8859_6 = "ISO-8859-6";

	/**
	 * ISO-8859-7
	 */
	public final static String ISO_8859_7 = "ISO-8859-7";

	/**
	 * ISO-8859-8
	 */
	public final static String ISO_8859_8 = "ISO-8859-8";

	/**
	 * ISO-8859-9
	 */
	public final static String ISO_8859_9 = "ISO-8859-9";

	/**
	 * JIS_X0201
	 */
	public final static String JIS_X0201 = "JIS_X0201";

	/**
	 * JIS_X0212-1990
	 */
	public final static String JIS_X0212_1990 = "JIS_X0212-1990";

	/**
	 * KOI8-R
	 */
	public final static String KOI8_R = "KOI8-R";

	/**
	 * Shift_JIS
	 */
	public final static String Shift_JIS = "Shift_JIS";

	/**
	 * TIS-620
	 */
	public final static String TIS_620 = "TIS-620";

	/**
	 * US-ASCII
	 */
	public final static String US_ASCII = "US-ASCII";

	/**
	 * UTF-16
	 */
	public final static String UTF_16 = "UTF-16";

	/**
	 * UTF-16BE
	 */
	public final static String UTF_16BE = "UTF-16BE";

	/**
	 * UTF-16LE
	 */
	public final static String UTF_16LE = "UTF-16LE";

	/**
	 * UTF-8
	 */
	public final static String UTF_8 = "UTF-8";

	/**
	 * windows-1250
	 */
	public final static String windows_1250 = "windows-1250";

	/**
	 * windows-1251
	 */
	public final static String windows_1251 = "windows-1251";

	/**
	 * windows-1252
	 */
	public final static String windows_1252 = "windows-1252";

	/**
	 * windows-1253
	 */
	public final static String windows_1253 = "windows-1253";

	/**
	 * windows-1254
	 */
	public final static String windows_1254 = "windows-1254";

	/**
	 * windows-1255
	 */
	public final static String windows_1255 = "windows-1255";

	/**
	 * windows-1256
	 */
	public final static String windows_1256 = "windows-1256";

	/**
	 * windows-1257
	 */
	public final static String windows_1257 = "windows-1257";

	/**
	 * windows-1258
	 */
	public final static String windows_1258 = "windows-1258";

	/**
	 * windows-31j
	 */
	public final static String windows_31j = "windows-31j";

	/**
	 * x-Big5-Solaris
	 */
	public final static String x_Big5_Solaris = "x-Big5-Solaris";

	/**
	 * x-euc-jp-linux
	 */
	public final static String x_euc_jp_linux = "x-euc-jp-linux";

	/**
	 * x-EUC-TW
	 */
	public final static String x_EUC_TW = "x-EUC-TW";

	/**
	 * x-eucJP-Open
	 */
	public final static String x_eucJP_Open = "x-eucJP-Open";

	/**
	 * x-IBM1006
	 */
	public final static String x_IBM1006 = "x-IBM1006";

	/**
	 * x-IBM1025
	 */
	public final static String x_IBM1025 = "x-IBM1025";

	/**
	 * x-IBM1046
	 */
	public final static String x_IBM1046 = "x-IBM1046";

	/**
	 * x-IBM1097
	 */
	public final static String x_IBM1097 = "x-IBM1097";

	/**
	 * x-IBM1098
	 */
	public final static String x_IBM1098 = "x-IBM1098";

	/**
	 * x-IBM1112
	 */
	public final static String x_IBM1112 = "x-IBM1112";

	/**
	 * x-IBM1122
	 */
	public final static String x_IBM1122 = "x-IBM1122";

	/**
	 * x-IBM1123
	 */
	public final static String x_IBM1123 = "x-IBM1123";

	/**
	 * x-IBM1124
	 */
	public final static String x_IBM1124 = "x-IBM1124";

	/**
	 * x-IBM1381
	 */
	public final static String x_IBM1381 = "x-IBM1381";

	/**
	 * x-IBM1383
	 */
	public final static String x_IBM1383 = "x-IBM1383";

	/**
	 * x-IBM33722
	 */
	public final static String x_IBM33722 = "x-IBM33722";

	/**
	 * x-IBM737
	 */
	public final static String x_IBM737 = "x-IBM737";

	/**
	 * x-IBM856
	 */
	public final static String x_IBM856 = "x-IBM856";

	/**
	 * x-IBM874
	 */
	public final static String x_IBM874 = "x-IBM874";

	/**
	 * x-IBM875
	 */
	public final static String x_IBM875 = "x-IBM875";

	/**
	 * x-IBM921
	 */
	public final static String x_IBM921 = "x-IBM921";

	/**
	 * x-IBM922
	 */
	public final static String x_IBM922 = "x-IBM922";

	/**
	 * x-IBM930
	 */
	public final static String x_IBM930 = "x-IBM930";

	/**
	 * x-IBM933
	 */
	public final static String x_IBM933 = "x-IBM933";

	/**
	 * x-IBM935
	 */
	public final static String x_IBM935 = "x-IBM935";

	/**
	 * x-IBM937
	 */
	public final static String x_IBM937 = "x-IBM937";

	/**
	 * x-IBM939
	 */
	public final static String x_IBM939 = "x-IBM939";

	/**
	 * x-IBM942
	 */
	public final static String x_IBM942 = "x-IBM942";

	/**
	 * x-IBM942C
	 */
	public final static String x_IBM942C = "x-IBM942C";

	/**
	 * x-IBM943
	 */
	public final static String x_IBM943 = "x-IBM943";

	/**
	 * x-IBM943C
	 */
	public final static String x_IBM943C = "x-IBM943C";

	/**
	 * x-IBM948
	 */
	public final static String x_IBM948 = "x-IBM948";

	/**
	 * x-IBM949
	 */
	public final static String x_IBM949 = "x-IBM949";

	/**
	 * x-IBM949C
	 */
	public final static String x_IBM949C = "x-IBM949C";

	/**
	 * x-IBM950
	 */
	public final static String x_IBM950 = "x-IBM950";

	/**
	 * x-IBM964
	 */
	public final static String x_IBM964 = "x-IBM964";

	/**
	 * x-IBM970
	 */
	public final static String x_IBM970 = "x-IBM970";

	/**
	 * x-ISCII91
	 */
	public final static String x_ISCII91 = "x-ISCII91";

	/**
	 * x-ISO-2022-CN-CNS
	 */
	public final static String x_ISO_2022_CN_CNS = "x-ISO-2022-CN-CNS";

	/**
	 * x-ISO-2022-CN-GB
	 */
	public final static String x_ISO_2022_CN_GB = "x-ISO-2022-CN-GB";

	/**
	 * x-iso-8859-11
	 */
	public final static String x_iso_8859_11 = "x-iso-8859-11";

	/**
	 * x-JIS0208
	 */
	public final static String x_JIS0208 = "x-JIS0208";

	/**
	 * x-JISAutoDetect
	 */
	public final static String x_JISAutoDetect = "x-JISAutoDetect";

	/**
	 * x-Johab
	 */
	public final static String x_Johab = "x-Johab";

	/**
	 * x-MacArabic
	 */
	public final static String x_MacArabic = "x-MacArabic";

	/**
	 * x-MacCentralEurope
	 */
	public final static String x_MacCentralEurope = "x-MacCentralEurope";

	/**
	 * x-MacCroatian
	 */
	public final static String x_MacCroatian = "x-MacCroatian";

	/**
	 * x-MacCyrillic
	 */
	public final static String x_MacCyrillic = "x-MacCyrillic";

	/**
	 * x-MacDingbat
	 */
	public final static String x_MacDingbat = "x-MacDingbat";

	/**
	 * x-MacGreek
	 */
	public final static String x_MacGreek = "x-MacGreek";

	/**
	 * x-MacHebrew
	 */
	public final static String x_MacHebrew = "x-MacHebrew";

	/**
	 * x-MacIceland
	 */
	public final static String x_MacIceland = "x-MacIceland";

	/**
	 * x-MacRoman
	 */
	public final static String x_MacRoman = "x-MacRoman";

	/**
	 * x-MacRomania
	 */
	public final static String x_MacRomania = "x-MacRomania";

	/**
	 * x-MacSymbol
	 */
	public final static String x_MacSymbol = "x-MacSymbol";

	/**
	 * x-MacThai
	 */
	public final static String x_MacThai = "x-MacThai";

	/**
	 * x-MacTurkish
	 */
	public final static String x_MacTurkish = "x-MacTurkish";

	/**
	 * x-MacUkraine
	 */
	public final static String x_MacUkraine = "x-MacUkraine";

	/**
	 * x-MS950-HKSCS
	 */
	public final static String x_MS950_HKSCS = "x-MS950-HKSCS";

	/**
	 * x-mswin-936
	 */
	public final static String x_mswin_936 = "x-mswin-936";

	/**
	 * x-PCK
	 */
	public final static String x_PCK = "x-PCK";

	/**
	 * x-windows-874
	 */
	public final static String x_windows_874 = "x-windows-874";

	/**
	 * x-windows-949
	 */
	public final static String x_windows_949 = "x-windows-949";

	/**
	 * x-windows-950
	 */
	public final static String x_windows_950 = "x-windows-950";


}
